{% extends 'base/base.html' %}

{% block base_title %}
    Create a new individual worker
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Create a new worker</h1>
            <div class="lead">Register the worker skill level for each skills</div>
            <hr class="my-4">
        </div>

        <div>
            <form method="post">
                {% csrf_token %}

                <div class="d-flex flex-column">
                    {% for ability in abilities %}
                        <div class="form-group p-2">
                            <div class="d-flex flex-row">
                                <div class="p-2 font-weight-bold">
                                    &#8226 {{ ability.name }} :
                                </div>
                                <div class="p-2">
                                    {{ ability.descr }}
                                </div>
                                <div class="ml-auto d-flex flex-column">
                                    <div class="p-2 d-flex flex-row">
                                        <div class="p-2 font-weight-light">
                                            0 (Unknown)
                                        </div>
                                        <div class="p-2">
                                            <input id="ab_{{ ability.id }}" name="ab_{{ ability.id }}" type="range"
                                                   class="custom-range" min="0" max="1" step="0.1" value="0"/>
                                        </div>
                                        <div class="p-2 font-weight-light">
                                            1 (Expert)
                                        </div>
                                    </div>

                                    <div class="p-1 d-flex flex-row justify-content-center">
                                        <button id="abm_{{ ability.id }}" class="btn btn-info" type="button">
                                            -
                                        </button>
                                        <div id="abv_{{ ability.id }}" class="btn btn-info">
                                            0.0
                                        </div>
                                        <button id="abp_{{ ability.id }}" class="btn btn-info" type="button">
                                            +
                                        </button>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <script>
                            function update_{{ ability.id }}() {
                                $('#abv_{{ ability.id }}').text($('#ab_{{ ability.id }}').val());
                            }

                            $('#ab_{{ ability.id }}').on('change mousemove', function () {
                                update_{{ ability.id }}();
                            });
                            $('#abm_{{ ability.id }}').on('click', function () {
                                var e = $('#ab_{{ ability.id }}');
                                e.val(e.val() - 0.1);
                                update_{{ ability.id }}();
                            });
                            $('#abp_{{ ability.id }}').on('click', function () {
                                var e = $('#ab_{{ ability.id }}');
                                var res = Number(e.val()) + 0.1;
                                e.val(res.toFixed(1));
                                update_{{ ability.id }}();
                            });

                            update_{{ ability.id }}();
                        </script>

                    {% endfor %}
                </div>

                <div>
                    <button class="btn btn-primary">
                        Create
                    </button>
                    <button id="btn-reset" class="btn btn-secondary" type="reset">
                        Cancel
                    </button>
                    <script>
                        $('#btn-reset').on('click', function (e) {
                            e.preventDefault();

                            {% for ability in abilities %}
                                $('#ab_{{ ability.id }}').val(0);
                                update_{{ ability.id }}();
                            {% endfor %}
                        });
                    </script>
                </div>
            </form>
        </div>
    </div>
{% endblock %}
